/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.List;


/**
 * 未执行状态数据统计
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-04-20 16:02:50  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "未执行状态数据统计")
public class MtCaseNonExec extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_amount = "amount";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 50, message="主键-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createdTime: 数据长度不能 > 50" )
  private String createdTime;
  /**
   * 未执行状态数量<br>
   */
  @ApiModelProperty("未执行状态数量")
  private Integer amount;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 创建时间<br>
   */
  public String getCreatedTime()
  {
      return createdTime;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(String createdTime)
  {
      this.createdTime = createdTime;
    }
  /**
   * 未执行状态数量<br>
   */
  public Integer getAmount()
  {
      return amount;
    }

  /**
   * 未执行状态数量<br>
   *
   * @param amount 未执行状态数量
   */
  public void setAmount(Integer amount)
  {
      this.amount = amount;
    }

  public MtCaseNonExec()
  {
  }

}
